package org.dive4elements.river.artifacts.math;

/** Helper to calculate distance(s). */
public final class Distance {
    /** Return distance between two values. */
    public static double distance(double a, double b) {
        return Math.abs(a - b);
    }

    /** Return whether a and be are within a certain distance. */
    public static boolean within(double a, double b, double threshold) {
        return distance(a, b) <= threshold;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
